
import axios from "axios";
import { ElMessage } from 'element-plus'
import router from "./router";



// 创建axios 实例
const instacne = axios.create({
    baseURL: "http://chat.lihaink.cn/index/",
    timeout: 30000,
});



const instacnePlant = axios.create({
    baseURL: "https://suyuan.lihaink.cn/",
    timeout: 30000,
});


const instacneTrade = axios.create({
    baseURL: "http://192.168.1.24:8686/index",
    timeout: 30000,
});

const configInstacne=(ins)=>{
    ins.interceptors.request.use(
        (config) => {
            // 在发送请求之前做什么
    
          
    
            return config;
        },
        (err) => {
            return Promise.reject(err);
        }
    );
    // 响应拦截
    ins.interceptors.response.use(
        (res) => {
    
            // if (res.data.status != 200) {
            //     ElMessage({
            //         message: res.data.message,
            //         type: 'warning',
            //     })
            //     return Promise.reject(res.data.message);
    
            // }
            // 对响应的数据做什么
            return res.data;
        },
        (err) => {
            return Promise.reject(err);
        }
    );
    
}

configInstacne(instacne)
configInstacne(instacnePlant)
configInstacne(instacneTrade)


export function sendMsg(params) {
    return instacne.get('/dataviewTouchPush', { params })
}

export function landListApi(params) {
    return instacnePlant.get('/api/dataview.land/landList', { params })
}




//
//api/dataview/merchant?mer_id=36&areaCode=510524&streetCode=510524100
// }
