import { createApp } from 'vue'
import App from './App.vue'
import dataV from '@jiaminghi/data-view'
import router from "./router";
import ElementPlus from 'element-plus'
import * as ElementPlusIconsVue from '@element-plus/icons-vue'
// 标准的ES模块化引入方式





import {
    createPinia
} from 'pinia'
import 'element-plus/dist/index.css'

const pinia = createPinia()
const app = createApp(App)


app.use(router)
app.use(dataV)
app.use(pinia)
app.use(ElementPlus)
app.mount('#app')